default: false

# MD001/heading-increment/header-increment - Heading levels should only increment by one level at a time
MD001: true

# MD002/first-heading-h1/first-header-h1 - First heading should be a top-level heading
MD002:
  # Heading level
  level: 1

# MD024/no-duplicate-heading/no-duplicate-header - Multiple headings with the same content
MD024:
  # Only check sibling headings
  allow_different_nesting: true
  # Only check sibling headings
  siblings_only: true

# MD025/single-title/single-h1 - Multiple top-level headings in the same document
MD025:
  # Heading level
  level: 1
  # RegExp for matching title in front matter
  front_matter_title: "^\\s*title\\s*[:=]"

# MD041/first-line-heading/first-line-h1 - First line in a file should be a top-level heading
MD041:
  # Heading level
  level: 1
  # RegExp for matching title in front matter
  front_matter_title: "^\\s*title\\s*[:=]"
